<?php
       

//team
function teamShortCode($pageId = null, $isCustomizer = false, $i = null) { 

    ob_start();

    $args = array('post_type' => 'our-team');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('team_area_npp_count', 2);
    $cols++;
    switch($cols){
         case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        $colCls = 'col-md-4 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-md-4 col-sm-6 col-xs-12';
        break;
    } 

    // } 
 $text = '';
 $query = new WP_Query($args);
 if ($query->have_posts()):
    $postN = 0;

    while ($query->have_posts()) : $query->the_post();
        $team_area_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');
        if ($isCustomizer === true) {
            $team_area_designation = get_theme_mod('team_area_designation' . $i);
            $team_area_facebook = get_theme_mod('team_area_facebook' . $i);
            $team_area_twitter = get_theme_mod('team_area_twitter' . $i);
            $team_area_linkedin = get_theme_mod('team_area_linkedin' . $i);
            $team_area_instagram = get_theme_mod('team_area_instagram' . $i);
            $team_area_pinterest = get_theme_mod('team_area_pinterest' . $i);
        } else {
            $team_area_facebook = '';
            $team_area_twitter = '';
            $team_area_linkedin = '';
            $team_area_instagram = '';
            $team_area_pinterest = '';
            $team_area_designation = '';
        }

        $post = get_post();
            //Social media urls
        $teamFacebook = get_post_meta($post->ID, 'teamFacebook', false);
        $team_area_facebook = !empty($teamFacebook[0]) ? $teamFacebook[0] : '';

        $teamTwitter = get_post_meta($post->ID, 'teamTwitter', false);
        $team_area_twitter = !empty($teamTwitter[0]) ? $teamTwitter[0] : '';

        $teamInstagram = get_post_meta($post->ID, 'teamInstagram', false);
        $team_area_instagram = !empty($teamInstagram[0]) ? $teamInstagram[0] : '';

        $teamlinkedIn = get_post_meta($post->ID, 'teamlinkedIn', false);
        $team_area_linkedin = !empty($teamlinkedIn[0]) ? $teamlinkedIn[0] : '';

         $teamPinterest = get_post_meta($post->ID, 'teamPinterest', false);
        $team_area_pinterest = !empty($teamPinterest[0]) ? $teamPinterest[0] : '';

            //designation
        $designation = get_post_meta($post->ID, 'designation', false);
        $team_area_designation = !empty($designation[0]) ? $designation[0] : '';

//skill title
        $teamskillt = get_post_meta($post->ID, 'teamskillt', false);
        $team_skillt = !empty($teamskillt[0]) ? $teamskillt[0] : '';
//skill title text
        $teamNum = get_post_meta($post->ID, 'teamNum', false);
        $team_Num = !empty($teamNum[0]) ? $teamNum[0] : '';

//Experience title
        $teamqulyt = get_post_meta($post->ID, 'teamqulyt', false);
        $team_qulyt = !empty($teamqulyt[0]) ? $teamqulyt[0] : '';

//Experience title Text
        $teamqulyttxt = get_post_meta($post->ID, 'teamqulyttxt', false);
        $team_qulyttxt = !empty($teamqulyttxt[0]) ? $teamqulyttxt[0] : '';

        ?>

        <div class="<?php echo $colCls;?> single-team">
            <div class="our-team">
                <div class="single-team-img">
                    <div class="teamimg">
                    <?php
                    if (has_post_thumbnail()) {
                        $image_url = $team_area_image[0];
                    } else {
                        $image_url = get_template_directory_uri() . '/images/team-thumb.png';
                    }
                    ?>                  
                       <div class="teamimginn"> 
                            <img src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                            <!-- <div class="team-ovrly"></div> --> 
                       </div>
                    </div>
                </div>
                
                <?php if ($team_area_facebook || $team_area_twitter || $team_area_instagram || $team_area_linkedin || $team_area_pinterest) { ?>
                <div class="team-social-icon">
                    <?php if ($team_area_facebook) { ?>
                    <a target="_blank" href="<?php echo esc_url($team_area_facebook) ?>">
                        <i class="fa fa-facebook"></i></a>
                    <?php } ?>
                    <?php if ($team_area_twitter) { ?>
                        <a target="_blank" href="<?php echo esc_url($team_area_twitter) ?>" ><i class="fa-brands fa-x-twitter"></i></a>
                    <?php } ?>
                    <?php if ($team_area_instagram) { ?>
                        <a target="_blank" href="<?php echo esc_url($team_area_instagram) ?>" ><i class="fa fa-instagram"></i></a> 
                    <?php } ?>
                       <?php if ($team_area_pinterest) { ?>
                        <a target="_blank" href="<?php echo esc_url($team_area_pinterest) ?>"><i class="fa fa-pinterest"></i></a>
                        <?php } ?>
                      <?php if ($team_area_linkedin) { ?>
                        <a target="_blank" href="<?php echo esc_url($team_area_linkedin) ?>" ><i class="fa fa-linkedin"></i></a> 
                    <?php } ?>
                </div>
                <?php } ?> 
                <div class="team-con">
                    <div class="team-text">
                       <!--  <a href="<?php the_permalink(); ?>">  -->
                        <h4 class="inner-area-title wow fadeInLeft" data-wow-duration="1s"><?php the_title(); ?></h4>
                       <!--   </a>  -->
                        <div class="team-designation wow fadeInLeft" data-wow-duration="2s">
                            <?php echo ($team_area_designation); ?>
                        </div>
                        <p>
                            <?php
                                if(has_excerpt()){
                                  echo get_the_excerpt();
                                 }else{
                                  echo luzuk_excerpt( get_the_content() , 100 );
                                 } 
                            ?>
                        </p>
                        <div class="clearfix"></div>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>
             <div class="clearfix"></div>
<script type="text/javascript">
      var title = 0;
      jQuery("#innerpage-box .our-team").each(function(){
        if ($(this).height() > title) { title = $(this).height(); }
      });
      jQuery("#innerpage-box .our-team").height(title);


      // on Resize change height

      jQuery(window).resize(function(){
        jQuery("#innerpage-box .our-team").height("");
        var title = 0;
        jQuery("#innerpage-box .our-team").each(function(){
          if ($(this).height() > title) { title = $(this).height(); }
        });
        jQuery("#innerpage-box .our-team").height(title);
      });
</script> 

        </div>
        <!-- inner team page -->
        <div class="col-md-6 col-sm-6 col-xs-12 single-team-inn">
            <div class="teaminn-page">
                <div class="col-md-6 col-sm-6 pd-0">
                    <div class="single-team-img">
                    <!-- <div class="team-imgbx"> -->
                        <?php
                        if (has_post_thumbnail()) {
                            $image_url = $team_area_image[0];
                        } else {
                            $image_url = get_template_directory_uri() . '/images/team-thumb.png';
                        }
                        ?>                  
                        <img src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                          <!-- </div> -->
                    </div>
               </div>
                <div class="col-md-6 col-sm-6 pd-0">
                    <div class="team-con">
                        <div class="team-text">
                            <div class="team-brdbx">
                                <h3 class="inner-area-title wow fadeInLeft" data-wow-duration="1s"><?php the_title(); ?></h3>
                                <div class="team-designation" data-wow-duration="2s">
                                    <?php echo ($team_area_designation); ?>
                                </div>
                            </div>
                            <p>
                                <?php
                                    if(has_excerpt()){
                                      echo get_the_excerpt();
                                     }else{
                                      echo luzuk_excerpt( get_the_content() , 100 );
                                     } 
                                ?>
                            </p>

                            
                            <h5><?php echo ($team_skillt); ?></h5>
                            <p class="t-skill"><?php echo ($team_Num); ?></p>

                            <h5><?php echo ($team_qulyt); ?></h5>
                            <p class="t-skill"><?php echo ($team_qulyttxt); ?></p>

                            <?php if ($team_area_facebook || $team_area_twitter || $team_area_instagram || $team_area_linkedin || $team_area_pinterest) { ?>
                  
                            <div class="team-social-icon">
                               
                                <?php if ($team_area_facebook) { ?>
                                    <li><a target="_blank" href="<?php echo esc_url($team_area_facebook) ?>">
                                        <i class="fa fa-facebook"></i></a></li>
                                    <?php } ?>
                                    <?php if ($team_area_twitter) { ?>
                                       <li> <a target="_blank" href="<?php echo esc_url($team_area_twitter) ?>" ><i class="fa-brands fa-x-twitter"></i></a></li>
                                    <?php } ?>
                                    <?php if ($team_area_instagram) { ?>
                                       <li> <a target="_blank" href="<?php echo esc_url($team_area_instagram) ?>" ><i class="fa fa-instagram"></i></a> </li>
                                    <?php } ?>
                                       <?php if ($team_area_pinterest) { ?>
                                       <li> <a target="_blank" href="<?php echo esc_url($team_area_pinterest) ?>"><i class="fa fa-pinterest"></i></a></li>
                                        <?php } ?>
                                      <?php if ($team_area_linkedin) { ?>
                                       <li> <a target="_blank" href="<?php echo esc_url($team_area_linkedin) ?>" ><i class="fa fa-linkedin"></i></a> </li>
                                    <?php } ?>
                                </div>
                            <?php } ?> 
                            <div class="clearfix"></div>
                        
                        </div>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>
             <div class="clearfix"></div>
        </div>
    <!--inner team page-->
 <script type="text/javascript">
      var title = 0;
      jQuery("#innerpage-box .single-team-inn").each(function(){
        if ($(this).height() > title) { title = $(this).height(); }
      });
      jQuery("#innerpage-box .single-team-inn").height(title);


      // on Resize change height

      jQuery(window).resize(function(){
        jQuery("#innerpage-box .single-team-inn").height("");
        var title = 0;
        jQuery("#innerpage-box .single-team-inn").each(function(){
          if ($(this).height() > title) { title = $(this).height(); }
        });
        jQuery("#innerpage-box .single-team-inn").height(title);
      });
</script>

            <?php
        endwhile;
        $text = ob_get_contents();
        ob_clean();
    endif;
    wp_reset_postdata();
    return $text;
}
/**
 * Use for the show the testimonials at home page and in testimonial page with shortcode
 * @param int $pageId default is null the id of a post
 * @param boolean $isCustomizer default is false if set to true it mean the output is set for the home page
 * @param int $i default null
 * @param boolean $showStaticVals default is false
 * @return string
 * @author Luzuk <support@luzuk.com>
 * */
function testimonialShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-testimonial');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('test_npp_count', 5);
    $cols++;
    switch($cols){
        
            }
           $icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');     
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');
        $post = get_post();

            if (($postN % 3) == 0 && $isCustomizer == false) {
                ?>
                <!-- <div class="clearfix"></div> -->
            <!-- </div> -->
            <!-- <div class="row"> -->
                <?php
            }
            ++$postN;
            ?>
        <div class="item innertest-item">
            <div class="ts-area-single">
                <div class="tsarea-inn">
                    <div class="ts-area-thumb">
                        <div class="testiimginn">
                            <img src="<?php echo (!empty($luzuk_image[0])) ? $luzuk_image[0] : get_template_directory_uri() . '/images/team-thumb.png' ?>" class="img-responsive" alt="<?php the_title(); ?>" />
                            <div class="testi-ovrly"></div>
                        </div>
                    </div>
                        
                    <div class="ts-area-content">
                        
                        <div class="ts-area-c">     
                            <p><?php
                                if (has_excerpt()) {
                                    echo get_the_excerpt();
                                } else {
                                    echo get_the_content();
                                }
                                ?> 
                            </p>  
                            <div class=" ts-area-bx">
                                <h3 class="ts-area-title "><?php the_title(); ?></h3>
                                <div class="text-designation">
                                    <?php
                                        $name2 = get_post_meta($post->ID, 'testimonial_Sub_Title', false);
                                        echo (!empty($name2[0])) ? $name2[0] : '';
                                     ?> 
                                <div class="clearfix"></div>
                                </div>
                            </div>  
                        </div> 
                    </div>
                    <div class="tsicn">
                        <i class="fa fa-quote-right" ></i>
                    </div>
                     <div class="clearfix"></div>
                </div>
            </div>
            <!--  <div class="clearfix"></div> -->
            <!-- innerpage-->
             <div class="ts-area-single-inn">
                <div class="tsarea-inn">
                    <div class="ts-area-content">
                        <div class="col-xl-4 col-md-4 col-sm-4 pd-0 ts-imgbx"> 
                            <div class="ts-img">
                                <!-- <i class="fa fa-quote-left"></i> -->
                                <div class="ts-area-thumb">
                                    <img src="<?php echo (!empty($luzuk_image[0])) ? $luzuk_image[0] : get_template_directory_uri() . '/images/team-thumb.png' ?>" class="img-responsive" alt="<?php the_title(); ?>" />
                                      <svg viewBox="0 0 1833 900" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><path d="M 0 900 C 531.5 900 531.5 382 1063 382 L 1063 382 L 1063 0 L 0 0 Z" stroke-width="0"></path> <path d="M 1062 382 C 1447.5 382 1447.5 0 1833 0 L 1833 0 L 1833 0 L 1062 0 Z" stroke-width="0"></path> </svg>
                                      <div class="clearfix"></div>
                                </div>
                            </div>
                        </div> 
                        <div class="col-xl-8 col-md-8 col-sm-8 pd-0"> 
                            <div class="ts-area-c">   
                               <div class="ts-title-bx">
                                <div class=" ts-area-bx">
                                    <li>
                                        <h3 class="ts-area-title "><?php the_title(); ?></h3>
                                    </li>
                                    <li>
                                        <div class="text-designation">
                                            <?php
                                                $name2 = get_post_meta($post->ID, 'testimonial_Sub_Title', false);
                                                echo (!empty($name2[0])) ? $name2[0] : '';
                                             ?> 
                                        </div>
                                    </li>
                                    <div class="clearfix"></div>
                                </div>
                            </div>
                            <blockquote>
                                    <p><?php
                                        if (has_excerpt()) {
                                            echo get_the_excerpt();
                                        } else {
                                            echo get_the_content();
                                        }
                                        ?> 
                                    </p>  
                                </blockquote> 
                               <div class="clearfix"></div>
                            </div>    
                        </div>
                        <div class="clearfix"></div>
                    </div>
                </div>
                 <div class="clearfix"></div>
            </div>

            <!--innerpage-->
<script type="text/javascript">
      var title = 0;
      jQuery("#innerpage-box .tsarea-inn").each(function(){
        if ($(this).height() > title) { title = $(this).height(); }
      });
      jQuery("#innerpage-box .tsarea-inn").height(title);


      // on Resize change height

      jQuery(window).resize(function(){
        jQuery("#innerpage-box .tsarea-inn").height("");
        var title = 0;
        jQuery("#innerpage-box .tsarea-inn").each(function(){
          if ($(this).height() > title) { title = $(this).height(); }
        });
        jQuery("#innerpage-box .tsarea-inn").height(title);
      });
</script>

    </div>
        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}


/*services*/
function serviceShortCode($pageId = null, $isCustomizer = false, $i = null) {
    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = 1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('service_npp_count',2);  
    $services_page_icon1 = get_theme_mod('services_page_icon1'.$i);

    ++$cols;
    switch ($cols) {
       case 1:
            $colCls = 'col-md-12 col-sm-12 col-xs-12';
            break;
            case 2: 
            $colCls = 'col-md-6 col-sm-6 col-xs-12';
            break;
            case 3:
            case 5:
            case 6:
            case 9:
            case 11:
            case 13:
            case 15:
            $colCls = 'col-md-4 col-sm-6 col-xs-12';
            break;
            default: 
            $colCls = 'col-md-4 col-sm-6 col-xs-12';
            break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

            while ($query->have_posts()) : $query->the_post();
                $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-service-thumb');
                $post = get_post();

                $servicesNum = get_post_meta($post->ID, 'servicesNum', false);
                $services_Num = !empty($servicesNum[0]) ? $servicesNum[0] : '';
            ?>
        <div class="<?php echo $colCls;?> serbx"> 
        <!-- <div class="item inser"> -->
            <div ser-match-height="groupName" class="single-service-bx">
                <div class="single-service ">
                    <div class="service-icon ">

                       <?php
                        if (has_post_thumbnail()) {
                            $image_url = $luzuk_image[0];
                        } else {
                            $image_url = get_template_directory_uri() . '/images/services.jpg';
                        }
                        ?>
                        <div class="ser-img">
                            <a href="<?php the_permalink(); ?>">
                               <!--  <div class="ser-icn">       
                                    <span class="<?php //echo $services_page_icon1; ?>"></span>
                                </div> --> 
                                <img class="img-responsive" src="<?php echo esc_url($image_url); ?>"  alt="<?php //the_title(); ?>" />
                            
                            </a>
                        </div> 
                    </div>
                    <div class="service-title-box">
                        <a href="<?php the_permalink(); ?>"> 
                            <h4 class="inner-area-title "><?php the_title(); ?></h4>
                        </a>
                        <p class="inner-area-text">
                            <?php
                                if(has_excerpt()){
                                  echo get_the_excerpt();
                                 }else{
                                  echo luzuk_excerpt( get_the_content() , 180 );
                                 } 
                             ?>
                        </p> 
                        <?php
                            $servicesbutn_text = get_theme_mod('servicesbutn_text1', 'Read More');
                        ?>
                    <?php if($servicesbutn_text ){ ?>
                    <div class="readmore">
                        <a href="<?php the_permalink(); ?>"><?php echo $servicesbutn_text; ?><i class="fa fa-long-arrow-right"></i></a>
                    </div>
                    <?php }?>
                    </div>
                    <div class="clearfix"></div>
                </div>
                <div class="clearfix"></div> 
            </div>             
        </div>


                <?php
            endwhile;
            $text = ob_get_contents();
            ob_clean();
        endif;
        wp_reset_postdata();
        return $text;
    }


function serviceInnerpageShortCode($pageId = null, $isCustomizer = false, $i = null) {
    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('serviceinner_npp_count',2);  
    //$services_page_icon1 = get_theme_mod('services_page_icon1'.$i);

    ++$cols;
    switch ($cols) {
       case 1:
                        $colCls = 'col-md-12 col-sm-12 col-xs-12';
                        break;
                        case 2: 
                        $colCls = 'col-md-6 col-sm-6 col-xs-12';
                        break;
                        case 3:
                        case 5:
                        case 6:
                        case 9:
                        case 11:
                        case 13:
                        case 15:
                        $colCls = 'col-md-4 col-sm-6 col-xs-12';
                        break;
                        default: 
                        $colCls = 'col-md-3 col-sm-6 col-xs-12';
                        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

            while ($query->have_posts()) : $query->the_post();
                $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-service-thumb');
                $post = get_post();

                 $servicesNum = get_post_meta($post->ID, 'servicesNum', false);
                    $services_Num = !empty($servicesNum[0]) ? $servicesNum[0] : '';
                ?>
        <!-- <div class="<?php echo $colCls;?> single-service-bx"> -->
        <div class="item inser">
<!--inner page  -->
        <div ser-match-height="groupName" class="servicesinn">
            <div class="single-service">
                <div class="service-icon padding0">
                   <?php
                        if (has_post_thumbnail()) {
                            $image_url = $luzuk_image[0];
                        } else {
                            $image_url = get_template_directory_uri() . '/images/services.jpg';
                        }
                    ?>
                    <div class="ser-img">
                        <a href="<?php the_permalink(); ?>">
                            <!-- <div class="ser-icn">       
                                <i class="fa fa-camera-retro"></i>
                            </div> -->
                            <img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                            <div class="ovrly"></div>  

                        </a>
                    </div> 
                </div>
                <!-- <a href="<?php the_permalink(); ?>"> -->
                    
                <!-- </a> -->
                <div class="service-title-box">
                    <a href="<?php the_permalink(); ?>"> <h3 class="post-title inner-area-title  "><?php the_title(); ?></h3></a>
                    <p class="post-text inner-area-text "> <?php
                        if(has_excerpt()){
                          echo get_the_excerpt();
                         }else{
                          echo luzuk_excerpt( get_the_content() , 100 );
                         } 
                        ?>
                    </p>       
                </div>
               
            <div class="clearfix"></div>
            </div>  
        </div>
        <!--inner page  --> 
<script type="text/javascript">
      var title = 0;
      jQuery("#innerpage-box .single-service").each(function(){
        if ($(this).height() > title) { title = $(this).height(); }
      });
      jQuery("#innerpage-box .single-service").height(title);


      // on Resize change height

      jQuery(window).resize(function(){
        jQuery("#innerpage-box .single-service").height("");
        var title = 0;
        jQuery("#innerpage-box .single-service").each(function(){
          if ($(this).height() > title) { title = $(this).height(); }
        });
        jQuery("#innerpage-box .single-service").height(title);
      });
</script>

 </div>
                <?php
            endwhile;
            $text = ob_get_contents();
            ob_clean();
        endif;
        wp_reset_postdata();
        return $text;
    }

//===============================
/**
 * Use for the show the gallery at home page and in testimonial page with shortcode
 * @param int $pageId default is null the id of a post
 * @param boolean $isCustomizer default is false if set to true it mean the output is set for the home page
 * @param int $i default null
 * @param boolean $showStaticVals default is false
 * @return string
 * @author Luzuk <support@luzuk.com>
 * */


